toolzerhub API Docs

Get transcript

Returns timed transcript segments for required video_reference. Optional language_code selects the transcript language.

1 credit / requestBilled only on success
GET
/v2/youtube/transcript

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

video_reference*string

YouTube video ID or a full watch, youtu.be, Shorts, or embed URL.

Length1 <= length
language_code?string

Language code used to localize text and audio results.

curl -X GET "https://example.com/v2/youtube/transcript?video_reference=M7lc1UVf-VE" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "id": "string",    "transcript": [      {        "startMs": "string",        "endMs": "string",        "startTime": "string",        "text": "string",        "property1": null,        "property2": null      }    ],    "property1": null,    "property2": null  }}